/*
 * Copyright 2021 ISP RAS (http://www.ispras.ru)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.testbase.generator;

import ru.ispras.fortress.data.DataTypeId;

/**
 * @author <a href="mailto:protsenko@ispras.ru">Alexander Protsenko</a>
 */
final class GeneratorAllPaths extends DataGeneratorBase {
  public static final String NAME = "all_paths";

  public GeneratorAllPaths() {
    super(NAME);
  }

  @Override
  protected void generate(final DataGeneratorQuery query) {
	  // TODO: all_paths
    for (final DataGeneratorVariable variable : query.getUnknownVariables()) {
      if (variable.isType(DataTypeId.BIT_VECTOR)) {
        setValue(variable, 1);
      } else {
        throw new IllegalArgumentException(String.format(
            "Variable %s has unsupported type %s.", variable.getName(), variable.getType()));
      }
    }
  }
}
